import java.io.*;
import ssdbms.ssd.*;
import ssdbms.manager.primitives.*;
import storage.primitiveStorage.*;
import storage.intermediateStorage.*;
import storage.advancedStorage.*;
import storage.*;
import DbStorage.*;
import DbStorage.driver.*;
import DbStorage.manager.*;
import java.util.*;

public class Pru05
{
    static public void main(String[] argv)
    {
	try {
	    int pageSize=4096;

	    DbStorageManager dbsm=new DbStorageManager(new PrimitiveStorageManager(pageSize,4*1024*1024));
	    dbsm.createDefaultSettings(new File("."));

	    PhysicalID id=new PhysicalID();
	    long curr=System.currentTimeMillis();
	    System.out.print("+");
	    for (int i=0; i<100000; i++)
		{
		    IdManager.createInteger(dbsm,0,i,id);
		    if (i%10000==9999)
			System.out.print(".");
		}
	    System.out.println("+ "+(System.currentTimeMillis()-curr));
	    dbsm.getAdvancedStorageManager().synchronize();
	} catch (Exception e) {
	    System.err.println("ERROR: "+e.getMessage());
	    e.printStackTrace();
	}
    }
}
