package DbStorage;

/**
 * Represents an error when trying to use a too small page size.
 */
public class TooSmallPageSizeException extends DbStorageException
{
    /**
     * Constructs a <code>TooSmallPageSizeException</code> without message.
     */
    public TooSmallPageSizeException()
    {
	super();
    }

    /**
     * Constructs a <code>TooSmallPageSizeException</code> with a specified message.
     */
    public TooSmallPageSizeException(String msg)
    {
	super(msg);
    }
}
