package DbStorage.manager;

import DbStorage.*;

/**
 * Represents an error ocurred when triying to add something existing.
 */
public class AlreadyExistingException extends DbStorageException
{
    /**
     * Constructs a <code>AlreadyExistingException</code> without message.
     */
    public AlreadyExistingException()
    {
	super();
    }

    /**
     * Constructs a <code>AlreadyExistingException</code> with a specified message.
     */
    public AlreadyExistingException(String msg)
    {
	super(msg);
    }
}
