package DbStorage.manager;

import DbStorage.*;
/**
 * Represents an error ocurred when triying to find or create a free unit.
 */
public class UnavailableUnitException extends DbStorageException
{
    /**
     * Constructs a <code>UnavailableUnitException</code> without message.
     */
    public UnavailableUnitException()
    {
	super();
    }

    /**
     * Constructs a <code>UnavailableUnitException</code> with a specified message.
     */
    public UnavailableUnitException(String msg)
    {
	super(msg);
    }
}
