package concurrency;

/**
 * Represents an error ocurred in the transaction manager.
 */
public class ConcurrencyException extends Exception
{
    /**
     * Constructs a <code>ConcurrencyException</code> without message.
     */
    public ConcurrencyException()
    {
	super();
    }

    /**
     * Constructs a <code>ConcurrencyException</code> with a specified message.
     */
    public ConcurrencyException(String msg)
    {
	super(msg);
    }
}
