package concurrency;

/**
 * Represents an error ocurred when triying to use an invalid transaction.
 */
public class NotActiveTransactionException extends ConcurrencyException
{
    /**
     * Constructs a <code>NotActiveTransactionException</code> without message.
     */
    public NotActiveTransactionException()
    {
	super();
    }

    /**
     * Constructs a <code>NotActiveTransactionException</code> with a specified message.
     */
    public NotActiveTransactionException(String msg)
    {
	super(msg);
    }
}
