package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>BadFunctionException</code> is thrown to indicate a 
 * bad function in the internals of a ssd manager system.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class BadFunctionException extends SSDBManagerException
{
    /**
     * Constructs a <code>BadFunctionException</code> with no detail message. 
     */
    public BadFunctionException()
    {
	super();
    }

    /**
     * Constructs a <code>BadFunctionException</code> with a detailed message. 
     */
    public BadFunctionException(String msg)
    {
	super(msg);
    }

}
