package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>InvalidDatumOperationException</code> is thrown when tryind to
 * apply a non supported operation for a specified datum.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class InvalidDatumOperationException extends SSDBManagerException
{
    /**
     * Constructs a <code>InvalidDatumOperationException</code> with no detail message. 
     */
    public InvalidDatumOperationException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidDatumOperationException</code> with a detailed message. 
     */
    public InvalidDatumOperationException(String msg)
    {
	super(msg);
    }

}
