package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>NotDefinedSSDTableException</code> is thrown to indicate that
 * it is trying to use a inexisting SSD Table.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class NotDefinedSSDTableException extends SSDBManagerException
{
    /**
     * Constructs a <code>NotDefinedSSDTableException</code> with no detail message. 
     */
    public NotDefinedSSDTableException()
    {
	super();
    }

    /**
     * Constructs a <code>NotDefinedSSDTableException</code> with a detailed message. 
     */
    public NotDefinedSSDTableException(String msg)
    {
	super(msg);
    }

}
