package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>NotExistingDatumException</code> is thrown to indicate 
 * that it is trying to do some operation in a inexisting data.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class NotExistingDatumException extends SSDBManagerException
{
    /**
     * Constructs a <code>NotExistingDatumException</code> with no detail message. 
     */
    public NotExistingDatumException()
    {
	super();
    }

    /**
     * Constructs a <code>NotExistingDatumException</code> with a detailed message. 
     */
    public NotExistingDatumException(String msg)
    {
	super(msg);
    }

}
