package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>OutOfBoundsException</code> is thrown to indicate 
 * that it is trying to access an inavlid position of a datum.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class OutOfBoundsException extends SSDBManagerException
{
    /**
     * Constructs a <code>OutOfBoundsException</code> with no detail message. 
     */
    public OutOfBoundsException()
    {
	super();
    }

    /**
     * Constructs a <code>OutOfBoundsException</code> with a detailed message. 
     */
    public OutOfBoundsException(String msg)
    {
	super(msg);
    }

}
