package ssdbms.ssd;

/**
 * Thrown to indicate that a label tries to contain no word characters.
 *
 * @see Label
 * @author Egar Arturo Garca Crdenas
 */
public class BadLabelException extends SSDException
{
    /**
     * Constructs a <code>BadLabelException</code> with no detail message. 
     */
    public BadLabelException()
    {
	super();
    }

    /**
     * Constructs a <code>BadLabelException</code> with a detailed message. 
     */
    public BadLabelException(String msg)
    {
	super(msg);
    }

}
