package storage;

/**
 * This class and its subclasses are thrown to indicate a error in some storage component.
 */
public class StorageException extends Exception
{
    /**
     * Constructs a <code>StorageException</code> with no detail message.
     */
    public StorageException()
    {
	super();
    }

    /**
     * Constructs a <code>StorageException</code> with the specified detail message.
     */
    public StorageException(String msg)
    {
	super(msg);
    }
}
