package storage.advancedStorage;

import storage.StorageException;

/**
 * This class and its subclasses are used to indicate errors in the
 * advanced storage component.
 */
public class AdvancedStorageException extends StorageException
{
    /**
     * Constructs a <code>AdvancedStorageException</code> with no detail message.
     */
    public AdvancedStorageException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>AdvancedStorageException</code> with the specified detail message.
     */
    public AdvancedStorageException()
    {
	super();
    }
}
