package storage.advancedStorage;

/**
 * Thrown when a inconsisten storage organization is detected.
 */
public class InconsistentStorageStructureException extends AdvancedStorageException
{
    /**
     * Constructs a <code>InconsistentStorageStructureException</code> with no detail message.
     */
    public InconsistentStorageStructureException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>InconsistentStorageStructureException</code> with the specified detail message.
     */
    public InconsistentStorageStructureException()
    {
	super();
    }
}
