package storage.advancedStorage;

/**
 * Thrown when trying to use a invalid space number,
 * i.e. a negative space number or a too big space number.
 */
public class InvalidSpaceNumberException extends AdvancedStorageException
{
    /**
     * Constructs a <code>InvalidSpaceNumberException</code> with no detail message.
     */
    public InvalidSpaceNumberException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>InvalidSpaceNumberException</code> with the specified detail message.
     */
    public InvalidSpaceNumberException()
    {
	super();
    }
}
