package storage.advancedStorage;

/**
 * Thrown when trying to use a invalid unit size, i.e. a negative unit size or
 * a unit size bigger than page size.
 */
public class InvalidUnitSizeException extends AdvancedStorageException
{
    /**
     * Constructs a <code>InvalidUnitSizeException</code> with no detail message.
     */
    public InvalidUnitSizeException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>InvalidUnitSizeException</code> with the specified detail message.
     */
    public InvalidUnitSizeException()
    {
	super();
    }
}
