package storage.advancedStorage;

/**
 * Thrown when trying to use a unit which number is out of the space.
 */
public class UnitNumberOutOfRangeException extends AdvancedStorageException
{
    /**
     * Constructs a <code>UnitNumberOutOfRangeException</code> with no detail message.
     */
    public UnitNumberOutOfRangeException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>UnitNumberOutOfRangeException</code> with the specified detail message.
     */
    public UnitNumberOutOfRangeException()
    {
	super();
    }
}
