package storage.intermediateStorage;

/**
 * Thrown when trying to retrive more information that the page has.
 */
public class OutOfPageException extends IntermediateStorageException
{
    /**
     * Constructs a <code>OutOfPageException</code> with no detail message.
     */
    public OutOfPageException()
    {
	super();
    }

    /**
     * Constructs a <code>OutOfPageException</code> with the specified detail message.
     */
    public OutOfPageException(String msg)
    {
	super(msg);
    }
}
