package storage.primitiveStorage;

/**
 * Thrown when trying to create a chunk with a number that previously exists.
 */
public class AlreadyExistingChunkNumberException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>AlreadyExistingChunkNumberException</code> with no detail message.
     */
    public AlreadyExistingChunkNumberException()
    {
	super();
    }

    /**
     * Constructs a <code>AlreadyExistingChunkNumberException</code> with the specified detail message.
     */
    public AlreadyExistingChunkNumberException(String msg)
    {
	super(msg);
    }
}
