package storage.primitiveStorage;

/**
 * Thrown when trying to use a invalid offset for fixed chunks, i.e. a negative offset.
 */
public class InvalidChunkOffsetException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>InvalidChunkOffsetException</code> with no detail message.
     */
    public InvalidChunkOffsetException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidChunkOffsetException</code> with the specified detail message.
     */
    public InvalidChunkOffsetException(String msg)
    {
	super(msg);
    }
}
