package storage.primitiveStorage;

/**
 * Thrown when trying to use a invalid chunk size, 
 * i.e. a negative chunk size or a too large chunk size.
 */
public class InvalidChunkSizeException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>InvalidChunkSizeException</code> with no detail message.
     */
    public InvalidChunkSizeException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidChunkSizeException</code> with the specified detail message.
     */
    public InvalidChunkSizeException(String msg)
    {
	super(msg);
    }
}
