package storage.primitiveStorage;

/**
 * Thrown when trying to use a chunk number but it does not exist.
 */
public class NotExistingChunkNumberException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>NotExistingChunkNumberException</code> with no detail message.
     */
    public NotExistingChunkNumberException()
    {
	super();
    }

    /**
     * Constructs a <code>NotExistingChunkNumberException</code> with the specified detail message.
     */
    public NotExistingChunkNumberException(String msg)
    {
	super(msg);
    }
}
