package storage.primitiveStorage;

import storage.StorageException;

/**
 * This class and its subclasses are used to indicate errors in the
 * primitive storage component.
 */
public class PrimitiveStorageException extends StorageException
{
    /**
     * Constructs a <code>PrimitiveStorageException</code> with no detail message.
     */
    public PrimitiveStorageException()
    {
	super();
    }

    /**
     * Constructs a <code>PrimitiveStorageException</code> with the detailed detail message.
     */
    public PrimitiveStorageException(String msg)
    {
	super(msg);
    }
}
