package storage.primitiveStorage;

/**
 * Thrown when trying to construct a fixed chunk which size-offser combination can not be addressable.
 */
public class UnaddressableChunkException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>UnaddressableChunkException</code> with no detail message.
     */
    public UnaddressableChunkException()
    {
	super();
    }

    /**
     * Constructs a <code>UnaddressableChunkException</code> with the specified detail message.
     */
    public UnaddressableChunkException(String msg)
    {
	super(msg);
    }
}
