package storage.tools;

/**
 * Thrown when a inconsistency is detected in a file used for storage settings.
 */
public class BadFileFormatException extends StorageToolException
{
    /**
     * Constructs a <code>BadFileFormatException</code> with no detail message.
     */
    public BadFileFormatException()
    {
	super();
    }

    /**
     * Constructs a <code>BadFileFormatException</code> with the specified detail message.
     */
    public BadFileFormatException(String msg)
    {
	super(msg);
    }
}
