package storage.tools;

/**
 * Thrown when trying to drop a space, but it is not empty.
 */
public class UndroppableSpaceException extends StorageToolException
{
    /**
     * Constructs a <code>UndroppableSpaceException</code> with no detail message.
     */
    public UndroppableSpaceException()
    {
	super();
    }

    /**
     * Constructs a <code>UndroppableSpaceException</code> with the specified detail message.
     */
    public UndroppableSpaceException(String msg)
    {
	super(msg);
    }
}
