package DbStorage;

/**
 * Represents an error ocurred in the Database Storage level.
 */
public class DbStorageException extends Exception
{
    /**
     * Constructs a <code>DbStorageException</code> without message.
     */
    public DbStorageException()
    {
	super();
    }

    /**
     * Constructs a <code>DbStorageException</code> with a specified message.
     */
    public DbStorageException(String msg)
    {
	super(msg);
    }
}
