package DbStorage.manager;

import DbStorage.*;

/**
 * Represents an error ocurred when triying to use something that does not exist.
 */
public class NotExistingException extends DbStorageException
{
    /**
     * Constructs a <code>NotExistingException</code> without message.
     */
    public NotExistingException()
    {
	super();
    }

    /**
     * Constructs a <code>NotExistingException</code> with a specified message.
     */
    public NotExistingException(String msg)
    {
	super(msg);
    }
}
