package DbStorage.manager;

import DbStorage.*;

/**
 * Represents an error ocurred when triying to access an invalid address of a LOB.
 */
public class OutOfLOBException extends DbStorageException
{
    /**
     * Constructs a <code>OutOfLOBException</code> without message.
     */
    public OutOfLOBException()
    {
	super();
    }

    /**
     * Constructs a <code>OutOfLOBException</code> with a specified message.
     */
    public OutOfLOBException(String msg)
    {
	super(msg);
    }
}
