package DbStorage.primitives;

import DbStorage.*;

/**
 * Represents an error ocurred when triying to use a free unit.
 */
public class InvalidUnitException extends DbStorageException
{
    /**
     * Constructs a <code>InvalidUnitException</code> without message.
     */
    public InvalidUnitException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidUnitException</code> with a specified message.
     */
    public InvalidUnitException(String msg)
    {
	super(msg);
    }
}
