package concurrency;

import DbStorage.PhysicalID;

/**
 * This class representas an object of a database that can be locked.
 */
abstract public class LockableObject
{
    /**
     * This comparator is used to order lockable database ofjects.
     */
    static public class Comparator implements java.util.Comparator
    {
	public int compare(Object o1, Object o2)
	{
	    if (o1 instanceof Dictionary)
		{
		    if (o2 instanceof Dictionary)
			return 0;
		    else
			return -1;
		}
	    else if (o1 instanceof DatumView)
		{
		    if (o2 instanceof Dictionary)
			return 1;
		    else if (o2 instanceof DatumView)
			{
			    int c=((DatumView)o1).getID().compareTo(((DatumView)o2).getID());
			    if (c<0)
				return -1;
			    else if (c>0)
				return 1;
			    else
				return 0;
			}
		    else if (o2 instanceof DatumContent)
			{
			    int c=((DatumView)o1).getID().compareTo(((DatumContent)o2).getID());
			    if (c<0)
				return -1;
			    else if (c>0)
				return 1;
			    else
				return -1;
			}
		    else
			return -1;
		}
	    else if (o1 instanceof DatumContent)
		{
		    if (o2 instanceof Dictionary)
			return 1;
		    else if (o2 instanceof DatumView)
			{
			    int c=((DatumContent)o1).getID().compareTo(((DatumView)o2).getID());
			    if (c<0)
				return -1;
			    else if (c>0)
				return 1;
			    else
				return 1;
			}
		    else if (o2 instanceof DatumContent)
			{
			    int c=((DatumContent)o1).getID().compareTo(((DatumContent)o2).getID());
			    if (c<0)
				return -1;
			    else if (c>0)
				return 1;
			    else
				return 0;
			}
		    else
			return -1;
		}
	    else
		{
		    if (o2 instanceof Dictionary || o2 instanceof DatumView || 
			o2 instanceof DatumContent)
			return 1;
		    else
			return 0;
		}
	}
	
	public boolean equals(Object obj)         
	{
	    return obj instanceof Comparator;
	}
    }

    /**
     * The comparator for lockable database objects.
     */
    static public Comparator comparator=new Comparator();

    abstract public String toString();
}

