package concurrency;

/**
 * Represents an error ocurred when the specified time to lock an object is over.
 */
public class TimeOutException extends ConcurrencyException
{
    /**
     * Constructs a <code>TimeOutException</code> without message.
     */
    public TimeOutException()
    {
	super();
    }

    /**
     * Constructs a <code>TimeOutException</code> with a specified message.
     */
    public TimeOutException(String msg)
    {
	super(msg);
    }
}
