package ssdbms.manager;

/**
 * <code>SSDManagerException</code> and its subclasses are thrown to indicate an error
 * ocurred while managing a database of semistructured data.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class SSDBManagerException extends Exception
{
    /**
     * Constructs a <code>SSDManagerException</code> with no detail message. 
     */
    public SSDBManagerException()
    {
	super();
    }

    /**
     * Constructs a <code>SSDManagerException</code> with a detailed message. 
     */
    public SSDBManagerException(String msg)
    {
	super(msg);
    }

}
