package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>AlreadyDefinedSSDTableException</code> is thrown to indicate that
 * a SSD Table tries to be created but its name previously exist.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class AlreadyDefinedSSDTableException extends SSDBManagerException
{
    /**
     * Constructs a <code>AlreadyDefinedSSDTableException</code> with no detail message. 
     */
    public AlreadyDefinedSSDTableException()
    {
	super();
    }

    /**
     * Constructs a <code>AlreadyDefinedSSDTableException</code> with a detailed message. 
     */
    public AlreadyDefinedSSDTableException(String msg)
    {
	super(msg);
    }

}
