package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>FatalErrorException</code> is thrown to indicate an 
 * irrecuperable error in the internals of a ssd manager system.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class FatalErrorException extends SSDBManagerException
{
    /**
     * Constructs a <code>FatalErrorException</code> with no detail message. 
     */
    public FatalErrorException()
    {
	super();
    }

    /**
     * Constructs a <code>FatalErrorException</code> with a detailed message. 
     */
    public FatalErrorException(String msg)
    {
	super(msg);
    }

}
