package ssdbms.manager.primitives;

import ssdbms.manager.SSDBManagerException;

/**
 * <code>NotEmptyDatumException</code> is thrown to indicate 
 * that it is trying to drop some semistructured datum but it has children.
 *
 * @author Egar Arturo Garca Crdenas
 */
public class NotEmptyDatumException extends SSDBManagerException
{
    /**
     * Constructs a <code>NotEmptyDatumException</code> with no detail message. 
     */
    public NotEmptyDatumException()
    {
	super();
    }

    /**
     * Constructs a <code>NotEmptyDatumException</code> with a detailed message. 
     */
    public NotEmptyDatumException(String msg)
    {
	super(msg);
    }

}
