package ssdbms.ssd;

/**
 * Thrown when a semistructured datum tries to own a invalid value.
 *
 * @see BadLabelException
 * @see BadSSDValueException
 * @author Egar Arturo Garca Crdenas
 */
public class BadSSDValueException extends SSDException
{
    /**
     * Constructs a <code>BadSSDValueException</code> with no detail message. 
     */
    public BadSSDValueException()
    {
	super();
    }

    /**
     * Constructs a <code>BadSSDValueException</code> with a detailed message. 
     */
    public BadSSDValueException(String msg)
    {
	super(msg);
    }

}
