package ssdbms.ssd;

/**
 * <code>SSDException</code> and its subclasses are thrown to indicate an error
 * ocurred in semistructured data API.
 *
 * @see BadLabelException
 * @see BadSSDValueException
 * @author Egar Arturo Garca Crdenas
 */
public class SSDException extends Exception
{
    /**
     * Constructs a <code>SSDException</code> with no detail message. 
     */
    public SSDException()
    {
	super();
    }

    /**
     * Constructs a <code>SSDException</code> with a detailed message. 
     */
    public SSDException(String msg)
    {
	super(msg);
    }

}
