package storage.advancedStorage;

/**
 * Thrown when trying to create a space with a number that previously exists.
 */
public class AlreadyExistingSpaceNumberException extends AdvancedStorageException
{
    /**
     * Constructs a <code>AlreadyExistingSpaceNumberException</code> with no detail message.
     */
    public AlreadyExistingSpaceNumberException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>AlreadyExistingSpaceNumberException</code> with the specified detail message.
     */
    public AlreadyExistingSpaceNumberException()
    {
	super();
    }
}
