package storage.advancedStorage;

/**
 * Thrown when trying to use a invalid offset inside a unit, i.e. negative
 * or out of the unit.
 */
public class InvalidUnitOffsetException extends AdvancedStorageException
{
    /**
     * Constructs a <code>InvalidUnitOffsetException</code> with no detail message.
     */
    public InvalidUnitOffsetException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>InvalidUnitOffsetException</code> with the specified detail message.
     */
    public InvalidUnitOffsetException()
    {
	super();
    }
}
