package storage.advancedStorage;

/**
 * Thrown when trying to use a space number but it does not exist.
 */
public class NotExistingSpaceNumberException extends AdvancedStorageException
{
    /**
     * Constructs a <code>NotExistingSpaceNumberException</code> with no detail message.
     */
    public NotExistingSpaceNumberException(String msg)
    {
	super(msg);
    }

    /**
     * Constructs a <code>NotExistingSpaceNumberException</code> with the specified detail message.
     */
    public NotExistingSpaceNumberException()
    {
	super();
    }
}
