package storage.intermediateStorage;

import storage.StorageException;

/**
 * This class and its subclasses are used to indicate errors in the
 * intermediate storage component.
 */
public class IntermediateStorageException extends StorageException
{
    /**
     * Constructs a <code>IntermediateStorageException</code> with no detail message.
     */
    public IntermediateStorageException()
    {
	super();
    }

    /**
     * Constructs a <code>IntermediateStorageException</code> with the detailed detail message.
     */
    public IntermediateStorageException(String msg)
    {
	super(msg);
    }
}
