package storage.intermediateStorage;

/**
 * Thrown when trying to use a page offset which is out of the page.
 */
public class InvalidPageOffsetException extends IntermediateStorageException
{
    /**
     * Constructs a <code>InvalidPageOffsetException</code> with no detail message.
     */
    public InvalidPageOffsetException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidPageOffsetException</code> with the specified detail message.
     */
    public InvalidPageOffsetException(String msg)
    {
	super(msg);
    }
}
