package storage.primitiveStorage;

/**
 * Thrown when trying to create a buffer with a invalid size, 
 * i.e. a negative size.
 */
public class InvalidBufferCapacityException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>InvalidBufferCapacityException</code> with no detail message.
     */
    public InvalidBufferCapacityException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidBufferCapacityException</code> with the specified detail message.
     */
    public InvalidBufferCapacityException(String msg)
    {
	super(msg);
    }
}
