package storage.primitiveStorage;

/**
 * Thrown when trying to use a invalid chunk number,
 * i.e. a negative chunk number or a too big chunk number.
 */
public class InvalidChunkNumberException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>InvalidChunkNumberException</code> with no detail message.
     */
    public InvalidChunkNumberException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidChunkNumberException</code> with the specified detail message.
     */
    public InvalidChunkNumberException(String msg)
    {
	super(msg);
    }
}
