package storage.primitiveStorage;

/**
 * Thrown when trying to use a invalid page size.
 */
public class InvalidPageSizeException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>InvalidPageSizeException</code> with no detail message.
     */
    public InvalidPageSizeException()
    {
	super();
    }

    /**
     * Constructs a <code>InvalidPageSizeException</code> with the specified detail message.
     */
    public InvalidPageSizeException(String msg)
    {
	super(msg);
    }
}
