package storage.primitiveStorage;

/**
 * Thrown when trying to use a page which number is out of the chunk.
 */
public class PageNumberOutOfRangeException extends PrimitiveStorageException
{
    /**
     * Constructs a <code>PageNumberOutOfRangeException</code> with no detail message.
     */
    public PageNumberOutOfRangeException()
    {
	super();
    }

    /**
     * Constructs a <code>PageNumberOutOfRangeException</code> with the specified detail message.
     */
    public PageNumberOutOfRangeException(String msg)
    {
	super(msg);
    }
}
