package storage.tools;

import storage.StorageException;

/**
 * This class and its subclasses are used to indicate the errors generated 
 * by the storage tools.
 */
public class StorageToolException extends StorageException
{
    /**
     * Constructs a <code>StorageToolException</code> with no detail message.
     */
    public StorageToolException()
    {
	super();
    }

    /**
     * Constructs a <code>StorageToolException</code> with the specified detail message.
     */
    public StorageToolException(String msg)
    {
	super(msg);
    }
}
