package storage.tools;

/**
 * Thrown when trying to drop a chunk, but it is attached to a existing space.
 */
public class UndroppableChunkException extends StorageToolException
{
    /**
     * Constructs a <code>UndroppableChunkException</code> with no detail message.
     */
    public UndroppableChunkException()
    {
	super();
    }

    /**
     * Constructs a <code>UndroppableChunkException</code> with the specified detail message.
     */
    public UndroppableChunkException(String msg)
    {
	super(msg);
    }
}
